diff --git a/web/pgadmin/browser/server_groups/servers/databases/languages/static/js/language.js b/web/pgadmin/browser/server_groups/servers/databases/languages/static/js/language.js
index b35422c8d..fcd514f19 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/languages/static/js/language.js
+++ b/web/pgadmin/browser/server_groups/servers/databases/languages/static/js/language.js
@@ -189,12 +189,7 @@ define('pgadmin.node.language', [
               });
             }
             return res;
-          }, disabled: function(m) {
-            if (m.isNew()) {
-              return m.get('template_list').indexOf(m.get('name')) != -1;
-            }
-            return false;
-          },
+          }, disabled: 'isDisabled',
           readonly: function(m) {return !m.isNew();},
         },{
           id: 'laninl', label: gettext('Inline function'), type: 'text', control: 'node-ajax-options',
@@ -214,12 +209,7 @@ define('pgadmin.node.language', [
               });
             }
             return res;
-          }, disabled: function(m) {
-            if (m.isNew()) {
-              return m.get('template_list').indexOf(m.get('name')) != -1;
-            }
-            return false;
-          },
+          }, disabled: 'isDisabled',
           readonly: function(m) {return !m.isNew();},
         },{
           id: 'lanval', label: gettext('Validator function'), type: 'text', control: 'node-ajax-options',
@@ -239,12 +229,7 @@ define('pgadmin.node.language', [
               });
             }
             return res;
-          }, disabled: function(m) {
-            if (m.isNew()) {
-              return m.get('template_list').indexOf(m.get('name')) != -1;
-            }
-            return false;
-          },
+          }, disabled: 'isDisabled',
           readonly: function(m) {return !m.isNew();},
         }, {
           id: 'lanacl', label: gettext('Privileges'), type: 'collection',
@@ -292,6 +277,12 @@ define('pgadmin.node.language', [
 
           return null;
         },
+        isDisabled: function(m){
+          if (m.isNew()) {
+            return m.get('template_list').indexOf(m.get('name')) != -1;
+          }
+          return false;
+        },
       }),
     });
   }
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/columns/static/js/column.js b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/columns/static/js/column.js
index 97005db23..09ef94a75 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/columns/static/js/column.js
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/columns/static/js/column.js
@@ -600,12 +600,7 @@ define('pgadmin.node.column', [
         },{
           id: 'seqstart', label: gettext('Start'), type: 'int',
           mode: ['properties', 'create', 'edit'], group: gettext('Constraints'),
-          disabled: function(m) {
-            let isIdentity = m.get('attidentity');
-            if(!_.isUndefined(isIdentity) && !_.isNull(isIdentity) && !_.isEmpty(isIdentity))
-              return false;
-            return true;
-          }, deps: ['attidentity', 'colconstype'],
+          disabled: 'isIdentityColumn', deps: ['attidentity', 'colconstype'],
           visible: 'isTypeIdentity',
         },{
           id: 'seqmin', label: gettext('Minimum'), type: 'int',
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/foreign_key/static/js/foreign_key.js b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/foreign_key/static/js/foreign_key.js
index e8d04e336..71b5270f6 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/foreign_key/static/js/foreign_key.js
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/foreign_key/static/js/foreign_key.js
@@ -737,15 +737,7 @@ define('pgadmin.node.foreign_key', [
         },{
           id: 'condeferrable', label: gettext('Deferrable?'),
           type: 'switch', group: gettext('Definition'),
-          readonly: function(m) {
-            // If we are in table edit mode then
-            if (_.has(m, 'handler') && !_.isUndefined(m.handler)) {
-              // If OID is undefined then user is trying to add
-              // new constraint which should allowed for Unique
-              return !_.isUndefined(m.get('oid'));
-            }
-            return !m.isNew();
-          },
+          readonly: 'isReadonly',
         },{
           id: 'condeferred', label: gettext('Deferred?'),
           type: 'switch', group: gettext('Definition'),
@@ -762,15 +754,7 @@ define('pgadmin.node.foreign_key', [
               return true;
             }
           },
-          readonly: function(m) {
-            // If we are in table edit mode then
-            if (_.has(m, 'handler') && !_.isUndefined(m.handler)) {
-              // If OID is undefined then user is trying to add
-              // new constraint which should allowed for Unique
-              return !_.isUndefined(m.get('oid'));
-            }
-            return !m.isNew();
-          },
+          readonly: 'isReadOnly',
         },{
           id: 'confmatchtype', label: gettext('Match type'),
           type: 'switch', group: gettext('Definition'),
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/partitions/static/js/partition.js b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/partitions/static/js/partition.js
index e236230a3..219859985 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/partitions/static/js/partition.js
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/partitions/static/js/partition.js
@@ -223,7 +223,6 @@ function(
                     t.unload(i);
                   });
               }},
-            function() {}
           );
         },
         reset_table_stats: function(args) {
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/static/js/table.js b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/static/js/table.js
index 2234b2ddf..ed5836152 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/static/js/table.js
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/static/js/table.js
@@ -374,14 +374,7 @@ define('pgadmin.node.table', [
         },{
           id: 'is_partitioned', label:gettext('Partitioned table?'), cell: 'switch',
           type: 'switch', mode: ['properties', 'create', 'edit'],
-          visible: function(m) {
-            if(!_.isUndefined(m.node_info) && !_.isUndefined(m.node_info.server)
-              && !_.isUndefined(m.node_info.server.version) &&
-                m.node_info.server.version >= 100000)
-              return true;
-
-            return false;
-          },
+          visible: 'isVersionGreaterThan96',
           readonly: function(m) {
             if (!m.isNew())
               return true;
@@ -483,14 +476,7 @@ define('pgadmin.node.table', [
           id: 'rlspolicy', label: gettext('RLS Policy?'), cell: 'switch',
           type: 'switch', mode: ['properties','edit', 'create'],
           group: gettext('advanced'),
-          visible: function(m) {
-            if(!_.isUndefined(m.node_info) && !_.isUndefined(m.node_info.server)
-              && !_.isUndefined(m.node_info.server.version) &&
-                m.node_info.server.version >= 90600)
-              return true;
-
-            return false;
-          },
+          visible: 'isSupported',
           disabled: function(m) {
             if(!_.isUndefined(m.node_info) && !_.isUndefined(m.node_info.server)
               && !_.isUndefined(m.node_info.server.version) &&
@@ -504,14 +490,7 @@ define('pgadmin.node.table', [
           id: 'forcerlspolicy', label: gettext('Force RLS Policy?'), cell: 'switch',
           type: 'switch', mode: ['properties','edit', 'create'], deps: ['rlspolicy'],
           group: gettext('advanced'),
-          visible: function(m) {
-            if(!_.isUndefined(m.node_info) && !_.isUndefined(m.node_info.server)
-              && !_.isUndefined(m.node_info.server.version) &&
-                m.node_info.server.version >= 90600)
-              return true;
-
-            return false;
-          },
+          visible: 'isSupported',
           disabled: function(m) {
             if(!_.isUndefined(m.node_info) && !_.isUndefined(m.node_info.server)
               && !_.isUndefined(m.node_info.server.version) &&
@@ -843,31 +822,16 @@ define('pgadmin.node.table', [
           id: 'fillfactor', label: gettext('Fill factor'), type: 'int',
           mode: ['create', 'edit'], min: 10, max: 100,
           group: gettext('advanced'),
-          disabled: function(m) {
-            if(m.get('is_partitioned')) {
-              return true;
-            }
-            return m.inSchema();
-          },
+          disabled: 'isDisabled',
         },{
           id: 'toast_tuple_target', label: gettext('Toast tuple target'), type: 'int',
           mode: ['create', 'edit'], min: 128, min_version: 110000,
           group: gettext('advanced'),
-          disabled: function(m) {
-            if(m.get('is_partitioned')) {
-              return true;
-            }
-            return m.inSchema();
-          },
+          disabled: 'isDisabled',
         },{
           id: 'parallel_workers', label: gettext('Parallel workers'), type: 'int',
           mode: ['create', 'edit'], group: gettext('advanced'), min_version: 90600,
-          disabled: function(m) {
-            if(m.get('is_partitioned')) {
-              return true;
-            }
-            return m.inSchema();
-          },
+          disabled: 'isDisabled',
         },
         {
           id: 'relhasoids', label: gettext('Has OIDs?'), cell: 'switch',
@@ -970,14 +934,7 @@ define('pgadmin.node.table', [
             return options;
           },
           mode:['create'],
-          visible: function(m) {
-            if(!_.isUndefined(m.node_info) && !_.isUndefined(m.node_info.server)
-              && !_.isUndefined(m.node_info.server.version) &&
-                m.node_info.server.version >= 100000)
-              return true;
-
-            return false;
-          },
+          visible: 'isVersionGreaterThan96',
           disabled: function(m) {
             if (!m.get('is_partitioned'))
               return true;
@@ -1027,14 +984,7 @@ define('pgadmin.node.table', [
             );
 
           },
-          visible: function(m) {
-            if(!_.isUndefined(m.node_info) && !_.isUndefined(m.node_info.server)
-              && !_.isUndefined(m.node_info.server.version) &&
-                m.node_info.server.version >= 100000)
-              return true;
-
-            return false;
-          },
+          visible: 'isVersionGreaterThan96',
           disabled: function(m) {
             if (m.get('partition_keys') && m.get('partition_keys').models.length > 0) {
               setTimeout(function () {
@@ -1047,14 +997,7 @@ define('pgadmin.node.table', [
         },{
           id: 'partition_scheme', label: gettext('Partition Scheme'),
           type: 'note', group: 'partition', mode: ['edit'],
-          visible: function(m) {
-            if(!_.isUndefined(m.node_info) && !_.isUndefined(m.node_info.server)
-              && !_.isUndefined(m.node_info.server.version) &&
-                m.node_info.server.version >= 100000)
-              return true;
-
-            return false;
-          },
+          visible: 'isVersionGreaterThan96',
           disabled: function(m) {
             if (!m.isNew()) {
               this.text = m.get('partition_scheme');
@@ -1077,14 +1020,7 @@ define('pgadmin.node.table', [
             gettext('Let\'s say, we want to create a partition table based per year for the column \'saledate\', having datatype \'date/timestamp\', then we need to specify the expression as \'extract(YEAR from saledate)\' as partition key.'),
             '</li></ul>',
           ].join(''),
-          visible: function(m) {
-            if(!_.isUndefined(m.node_info) && !_.isUndefined(m.node_info.server)
-              && !_.isUndefined(m.node_info.server.version) &&
-                m.node_info.server.version >= 100000)
-              return true;
-
-            return false;
-          },
+          visible: 'isVersionGreaterThan96',
         }, {
           id: 'partitions', label:gettext('Partitions'),
           model: Backform.PartitionsModel,
@@ -1138,14 +1074,7 @@ define('pgadmin.node.table', [
               return true;
             return false;
           },
-          visible: function(m) {
-            if(!_.isUndefined(m.node_info) && !_.isUndefined(m.node_info.server)
-              && !_.isUndefined(m.node_info.server.version) &&
-                m.node_info.server.version >= 100000)
-              return true;
-
-            return false;
-          },
+          visible: 'isVersionGreaterThan96',
           disabled: function(m) {
             if (m.isNew() && m.get('partitions') && m.get('partitions').models.length > 0) {
               setTimeout(function () {
@@ -1181,14 +1110,7 @@ define('pgadmin.node.table', [
             gettext('Enabled for hash partition.'),
             '</li></ul>',
           ].join(''),
-          visible: function(m) {
-            if(!_.isUndefined(m.node_info) && !_.isUndefined(m.node_info.server)
-              && !_.isUndefined(m.node_info.server.version) &&
-                m.node_info.server.version >= 100000)
-              return true;
-
-            return false;
-          },
+          visible: 'isVersionGreaterThan96',
         },{
           // Here - we will create tab control for storage parameters
           // (auto vacuum).
@@ -1276,6 +1198,23 @@ define('pgadmin.node.table', [
           }
           return null;
         },
+        isVersionGreaterThan96: function(m) {
+          if(!_.isUndefined(m.node_info) && !_.isUndefined(m.node_info.server)
+            && !_.isUndefined(m.node_info.server.version) &&
+              m.node_info.server.version >= 100000)
+            return true;
+
+          return false;
+        },
+        isSupported: function(m) {
+          // Enable when server version is greater than 95.
+          if(!_.isUndefined(m.node_info) && !_.isUndefined(m.node_info.server)
+            && !_.isUndefined(m.node_info.server.version) &&
+              m.node_info.server.version >= 90600)
+            return true;
+
+          return false;
+        },
         // We will disable everything if we are under catalog node
         inSchema: function() {
           if(this.node_info &&  'catalog' in this.node_info)
@@ -1284,6 +1223,12 @@ define('pgadmin.node.table', [
           }
           return false;
         },
+        isDisabled:function(m) {
+          if(m.get('is_partitioned')) {
+            return true;
+          }
+          return m.inSchema();
+        },
         isInheritedTable: function(m) {
           if(!m.inSchema.apply(this, [m])) {
             // Either of_types or coll_inherits has value
diff --git a/web/pgadmin/browser/server_groups/servers/roles/static/js/role.js b/web/pgadmin/browser/server_groups/servers/roles/static/js/role.js
index dcb99eb26..92a02735a 100644
--- a/web/pgadmin/browser/server_groups/servers/roles/static/js/role.js
+++ b/web/pgadmin/browser/server_groups/servers/roles/static/js/role.js
@@ -515,13 +515,7 @@ define('pgadmin.node.role', [
           filter: function(d) {
             return this.model.isNew() || (this.model.get('rolname') != d.label);
           },
-          helpMessage: function(m) {
-            if (m.has('read_only') && m.get('read_only') == false) {
-              return gettext('Select the checkbox for roles to include WITH ADMIN OPTION.');
-            } else {
-              return gettext('Roles shown with a check mark have the WITH ADMIN OPTION set.');
-            }
-          },
+          helpMessage: 'helpMessage',
         },
         {
           id: 'rolmembers', label: gettext('Members'), type: 'collection', group: gettext('Membership'),
@@ -541,13 +535,7 @@ define('pgadmin.node.role', [
           filter: function(d) {
             return this.model.isNew() || (this.model.get('rolname') != d.label);
           },
-          helpMessage: function(m) {
-            if (m.has('read_only') && m.get('read_only') == false) {
-              return gettext('Select the checkbox for roles to include WITH ADMIN OPTION.');
-            } else {
-              return gettext('Roles shown with a check mark have the WITH ADMIN OPTION set.');
-            }
-          },
+          helpMessage: 'helpMessage',
         },
         {
           id: 'variables', label: '', type: 'collection',
@@ -603,6 +591,13 @@ define('pgadmin.node.role', [
 
           return null;
         },
+        helpMessage: function(m) {
+          if (m.has('read_only') && m.get('read_only') == false) {
+            return gettext('Select the checkbox for roles to include WITH ADMIN OPTION.');
+          } else {
+            return gettext('Roles shown with a check mark have the WITH ADMIN OPTION set.');
+          }
+        },
       }),
     });
   }
diff --git a/web/pgadmin/browser/static/js/node.js b/web/pgadmin/browser/static/js/node.js
index 7c2f666e0..1c5af3f57 100644
--- a/web/pgadmin/browser/static/js/node.js
+++ b/web/pgadmin/browser/static/js/node.js
@@ -1786,7 +1786,6 @@ define('pgadmin.browser.node', [
         },
         self = this,
         priority = -Infinity;
-
       var treeInfo = (_.isUndefined(item) || _.isNull(item)) ?
         info || {} : this.getTreeNodeHierarchy(item);
       var actionType = type in opURL ? opURL[type] : type;
